--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Parse a message from the IO object <tt>io</tt> and return a new message. The <tt>io</tt> object can also be a string. This is just shorthand for:"
- !ruby/struct:SM::Flow::VERB 
  body: "  RMail::Parser.new.parse(io)\n"
full_name: RMail::Parser::read
is_singleton: true
name: read
params: (input)
visibility: public
